This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 82842 - NDBM_File module missing from perl (and there's no separate perl-NDBM_File)
NDBM_File module missing from perl (and there's no separate perl-NDBM_File)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-27 11:59 EST by Matthew Miller
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 18:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2003-01-27 11:59:33 EST
Somewhere along the line -- in an update, as far as I can tell -- NDBM_File was
split from the main perl package and made into its own package. But now, it's
gone entirely -- and the main perl package Obsoletes: perl-NDBM_File, so it's
hard to put back without rebuilding all of perl, even.

Is there a really really good reason for removing this? It's a standard part of
the perl distribution, and people are going to expect it to be there.
Comment 1 Ali-Reza Anghaie 2003-01-27 23:19:59 EST
It's been gone for longer than the beta cycle. It isn't in 8.0 AFAIK. At first  
glance I thought this was a bad idea but upon digging I've noticed most  
semi-modern projects dropped NDBM use ~anyway~. What production impact do you  
see from this? I do find it odd that something in the standard Perl tree would 
be removed like that (but I bet there are other examples)... but I don't see a 
real serious impact to most customers. 
 
In my shop we use ActiveState Perl anyhow so we can standardize across out 
platforms. 
 
I'm curious as to what you've encountered wishing for NDBM? Cheers, -Ali 
Comment 2 Matthew Miller 2003-01-28 00:12:39 EST
One of my coworkers asked about it. 
Comment 3 Matthew Miller 2004-05-26 18:08:50 EDT
I figure no one cares about this by now. Closing out.

Note You need to log in before you can comment on or make changes to this bug.